class Example2_6{
    public static void main (String args[]){
        System.out.println("1000之内的完全数为：");
        for(int i= 1;i<1000;i++){                       //遍历1-1000的所有整数
            int y= 0;
            for(int j=1;j<i;j++)                        
                if(i%j==0)                              
                    y+=j;                               //将该数的所有真约数相加
                if(y == i){                             //若该数为完全数，将其输出
                    System.out.println(i);
             }
         }
    }    
}
